extends Node2D


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func updateCountdown(t):
	if (t<0):
		$countdown.visible=false
	else:
		$countdown.visible=true
		$countdown.text=str(t)
	

func update_playerlist(players:Array[Gamestate.Player]):
	$Playerlist.text=""
	var Playerlabels=$MarginContainer/VBoxContainer_Playerlist.get_children()
	var i=0
	for label in Playerlabels:
		#print(type_string(typeof(label)))
		if i<len(players):
			var p=players[i]
			label.text=str(OS.get_keycode_string(p.inputkey))
			label.set("theme_override_colors/font_color",p.color)
		else:
			label.text=""
		i+=1
